Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.buildqueue.manager
Class PipelineManagerImpl

    java.lang.Object
      com.atlassian.bamboo.buildqueue.manager.PipelineManagerImpl

All Implemented Interfaces:
  PipelineManager

    public class PipelineManagerImpl

extends Object
implements PipelineManager

Constructor Summary
`PipelineManagerImpl()`

Method Summary
`void` | `disableAllPipelines()` Disable all pipelines
`void` | `enableAllPipelines()` Enable all pipelines
`Collection` | `getAllPipelines()` Returns all `BuildPipeline` objects
`BuildPipeline` | `getPipeline(long pipelineId)` Returns the pipeline that matches the passed id
`void` | `init()` sets up pipelines with persisted pipelines only
`void` | `removeAllPipelines()` Removes the `BuildPipeline` with the matching id
`void` | `removePipeline(long pipelineId)` Removes the `BuildPipeline` with the matching id
`void` | `savePipeline(PipelineDefinition pipelineDefinition)` Stores the `PipelineDefinition`.
`void` | `setBuildEventNotifier(BuildEventNotifier buildEventNotifier)`
`void` | `setErrorHandler(ErrorHandler errorHandler)`
`void` | `setPipelineDao(PipelineDao pipelineDao)`
`void` | `setupDefaultPipeline()` sets up a default pipeline if no pipelines have been persisted

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PipelineManagerImpl

    public PipelineManagerImpl()

Method Detail

### setupDefaultPipeline

    public void setupDefaultPipeline()

  Description copied from interface: `PipelineManager`
  sets up a default pipeline if no pipelines have been persisted

  Specified by:
    `setupDefaultPipeline` in interface `PipelineManager`

### init

    public void init()

  Description copied from interface: `PipelineManager`
  sets up pipelines with persisted pipelines only

  Specified by:
    `init` in interface `PipelineManager`

### getAllPipelines

    public Collection getAllPipelines()

  Description copied from interface: `PipelineManager`
  Returns all `BuildPipeline` objects

  Specified by:
    `getAllPipelines` in interface `PipelineManager`
  Returns:
    An unmodifiable collection of `BuildPipeline` objects, or Collections.EMPTY_LIST if none exists.

### savePipeline

    public void savePipeline(PipelineDefinition pipelineDefinition)

  Description copied from interface: `PipelineManager`
  Stores the `PipelineDefinition`. Updates any caches so calls to `PipelineManager.getPipeline(long)` will return the `BuildPipeline` returns with the new definition

  Specified by:
    `savePipeline` in interface `PipelineManager`
  Parameters:
    `pipelineDefinition` - - Must not be null

### getPipeline

    public BuildPipeline getPipeline(long pipelineId)

  Description copied from interface: `PipelineManager`
  Returns the pipeline that matches the passed id

  Specified by:
    `getPipeline` in interface `PipelineManager`
  Returns:
    Matching `BuildPipeline` object. Null if pipeline does not exist

### removePipeline

    public void removePipeline(long pipelineId)

  Description copied from interface: `PipelineManager`
  Removes the `BuildPipeline` with the matching id

  Specified by:
    `removePipeline` in interface `PipelineManager`

### removeAllPipelines

    public void removeAllPipelines()

  Description copied from interface: `PipelineManager`
  Removes the `BuildPipeline` with the matching id

  Specified by:
    `removeAllPipelines` in interface `PipelineManager`

### disableAllPipelines

    public void disableAllPipelines()

  Description copied from interface: `PipelineManager`
  Disable all pipelines

  Specified by:
    `disableAllPipelines` in interface `PipelineManager`

### enableAllPipelines

    public void enableAllPipelines()

  Description copied from interface: `PipelineManager`
  Enable all pipelines

  Specified by:
    `enableAllPipelines` in interface `PipelineManager`

### setPipelineDao

    public void setPipelineDao(PipelineDao pipelineDao)

### setBuildEventNotifier

    public void setBuildEventNotifier(BuildEventNotifier buildEventNotifier)

### setErrorHandler

    public void setErrorHandler(ErrorHandler errorHandler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.